summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh31
1 files changed, 9 insertions, 22 deletions
diff --git a/autogen.sh b/autogen.sh
index 99c398e..615d8d8 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,28 +1,15 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
-test -n "$srcdir" || srcdir=`dirname "$0"`
-test -n "$srcdir" || srcdir=.
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
-olddir=`pwd`
-cd "$srcdir"
+PKG_NAME="atk"
+REQUIRED_AUTOMAKE_VERSION=1.7
-GTKDOCIZE=`which gtkdocize`
-if test -z $GTKDOCIZE; then
- echo "*** No GTK-Doc found, please install it ***"
- exit 1
-fi
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME CVS"
+ exit 1
+}
-AUTORECONF=`which autoreconf`
-if test -z $AUTORECONF; then
- echo "*** No autoreconf found, please install it ***"
- exit 1
-fi
-
-mkdir -p m4
-
-gtkdocize || exit $?
-autoreconf --force --install --verbose || exit $?
-
-cd "$olddir"
-test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"
+USE_GNOME2_MACROS=1 . gnome-autogen.sh